Bug 125842 - PCMCIA disk device oops on resume
PCMCIA disk device oops on resume
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-12 04:42 EDT by cam
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:10:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cam 2004-06-12 04:42:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a2)
Gecko/20040521

Description of problem:
I have a cheap PCMCIA 4-in-1 flash card adapter that fits in a PCMCIA
card slot catering for removable SD, MMC, MS and SM. Only one card can
be inserted at once and the adapter is only recognised by the system
when a card is present (ie. the adapter simulates being
inserted/removed when a card is inserted/removed). The cards always
appear as /dev/hde1

If a card is inserted into the adapter and mounted,unmounted and
removed then on resume the kernel can hang, for example with this trace:

Process sleep
...
call trace
shutdown_socket +0x50/0xeb
socket_resume
pcmcia_socket_dev_resume
pci_dev_resume
resume_device
dpm_resume
device_resume
suspend_finish
enter_state
...

Sorry for the partial details, I only had a scrap to write on.




Version-Release number of selected component (if applicable):
kernel-2.6.6-1.427.i686.rpm

How reproducible:
Sometimes

Steps to Reproduce:
1.insert PCMCIA adapter
2.insert SD/MMC card
3.mount the card and use it, unmount it
4.suspend and resume
    

Actual Results:  machine hangs after message on console.

Expected Results:  driver cleans itself up and resumes normally

Additional info:
Comment 1 Dave Jones 2005-04-16 01:10:03 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.